%define	upstream_name	 HTTP-Request-AsCGI
%define upstream_version 1.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Setup a CGI environment from a HTTP::Request
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/dist/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

# https://search.cpan.org/src/CHANSEN/HTTP-Request-AsCGI-0.5/META.yml:
#     HTTP::Response:                1.53
# https://search.cpan.org/src/GAAS/libwww-perl-5.804/lib/HTTP/Response.pm = 1.52
BuildRequires:	perl(Carp)
BuildRequires:	perl(Class::Accessor)
BuildRequires:	perl(HTTP::Request)
BuildRequires:	perl(HTTP::Response) >= 1.530.0
BuildRequires:	perl(IO::File)
BuildRequires:	perl(Test::More)
BuildRequires:	perl-libwww-perl >= 5.805.0

BuildArch:	noarch


Requires:	perl(Class::Accessor)

%description
This module provides a convenient way of setting up an CGI environment
from an HTTP::Request object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc README Changes examples META.yml
%{perl_vendorlib}/HTTP
%{_mandir}/*/*


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 1.200.0-10.mga9
+ Revision: 1830649
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.200.0-9.mga8
+ Revision: 1495031
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.200.0-8.mga7
+ Revision: 1268526
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-7.mga6
+ Revision: 1028445
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.200.0-6.mga6
+ Revision: 932450
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.200.0-5.mga5
+ Revision: 743047
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.200.0-4.mga5
+ Revision: 685011
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.200.0-3.mga4
+ Revision: 512096
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-2.mga3
+ Revision: 368328
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 33830
- mageia rebuild
- imported package perl-HTTP-Request-AsCGI

